package com.yihu.jw.entity.hospital.mapping;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by zdm on 2019/5/28.
 */
@Entity
@Table(name = "wlyy_hospital_dept_mapping")
@SequenceGenerator(name="id_generated", sequenceName="WLYY_HOSPITAL_DEPT_MAPPING_SEQ")
public class HospitalDeptMappingDO extends IntegerIdentityEntity {
    /**
     * 第三方序号
     */
    private String serialNo;
    /**
     * 科室代码
     */
    private String deptCode;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 科室别名
     */
    private String deptAlias;
    /**
     * 临床科室属性
     */
    private String clinicAttr;
    /**
     * 门诊住院科室标志
     */
    private String visitAdmitFlag;
    /**
     * 内外科标志
     */
    private String internalAergeryFlag;
    /**
     * 是否重症监护室
     */
    private String graveDeptFlag;
    /**
     * 是否会诊科室',
     */
    private String consultDeptFlag;
    /**
     * 科室类型
     */
    private String deptType;
    /**
     * 输入码
     */
    private String inputCode;
    /**
     * 拼音码
     */
    private String pinyinCode;
    /**
     * 五笔码
     */
    private String wubiCode;
    /**
     * 科室类型码:6总部7金榜8夏禾
     */
    private String deptTypeCode;
    /**
     * 位置
     */
    private String location;
    /**
     * 显示顺序
     */
    private String displaySequence;
    /**
     * 开放床位数
     */
    private String openBedNum;
    /**
     * 上级科室代码
     */
    private String fatherDeptCode;
    /**
     * 上级科室名称
     */
    private String fatherDeptName;
    /**
     * 科室地理位置
     */
    private String deptPosition;
    /**
     * 科室描述说明
     */
    private String deptRemark;
    /**
     * 挂号年龄限制
     */
    private String deptAgeLimit;
    /**
     * 部门电话
     */
    private String deptTelNum;
    /**
     * 部门邮编
     */
    private String deptZipCode;
    /**
     * 大楼ID
     */
    private String deDlid;
    /**
     * 楼层ID
     */
    private String deLcid;
    /**第三方数据来源：1中山医院*/
    private String source;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptAlias() {
        return deptAlias;
    }

    public void setDeptAlias(String deptAlias) {
        this.deptAlias = deptAlias;
    }

    public String getClinicAttr() {
        return clinicAttr;
    }

    public void setClinicAttr(String clinicAttr) {
        this.clinicAttr = clinicAttr;
    }

    public String getVisitAdmitFlag() {
        return visitAdmitFlag;
    }

    public void setVisitAdmitFlag(String visitAdmitFlag) {
        this.visitAdmitFlag = visitAdmitFlag;
    }

    public String getInternalAergeryFlag() {
        return internalAergeryFlag;
    }

    public void setInternalAergeryFlag(String internalAergeryFlag) {
        this.internalAergeryFlag = internalAergeryFlag;
    }

    public String getGraveDeptFlag() {
        return graveDeptFlag;
    }

    public void setGraveDeptFlag(String graveDeptFlag) {
        this.graveDeptFlag = graveDeptFlag;
    }

    public String getConsultDeptFlag() {
        return consultDeptFlag;
    }

    public void setConsultDeptFlag(String consultDeptFlag) {
        this.consultDeptFlag = consultDeptFlag;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getInputCode() {
        return inputCode;
    }

    public void setInputCode(String inputCode) {
        this.inputCode = inputCode;
    }

    public String getPinyinCode() {
        return pinyinCode;
    }

    public void setPinyinCode(String pinyinCode) {
        this.pinyinCode = pinyinCode;
    }

    public String getWubiCode() {
        return wubiCode;
    }

    public void setWubiCode(String wubiCode) {
        this.wubiCode = wubiCode;
    }

    public String getDeptTypeCode() {
        return deptTypeCode;
    }

    public void setDeptTypeCode(String deptTypeCode) {
        this.deptTypeCode = deptTypeCode;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getDisplaySequence() {
        return displaySequence;
    }

    public void setDisplaySequence(String displaySequence) {
        this.displaySequence = displaySequence;
    }

    public String getOpenBedNum() {
        return openBedNum;
    }

    public void setOpenBedNum(String openBedNum) {
        this.openBedNum = openBedNum;
    }

    public String getFatherDeptCode() {
        return fatherDeptCode;
    }

    public void setFatherDeptCode(String fatherDeptCode) {
        this.fatherDeptCode = fatherDeptCode;
    }

    public String getFatherDeptName() {
        return fatherDeptName;
    }

    public void setFatherDeptName(String fatherDeptName) {
        this.fatherDeptName = fatherDeptName;
    }

    public String getDeptPosition() {
        return deptPosition;
    }

    public void setDeptPosition(String deptPosition) {
        this.deptPosition = deptPosition;
    }

    public String getDeptRemark() {
        return deptRemark;
    }

    public void setDeptRemark(String deptRemark) {
        this.deptRemark = deptRemark;
    }

    public String getDeptAgeLimit() {
        return deptAgeLimit;
    }

    public void setDeptAgeLimit(String deptAgeLimit) {
        this.deptAgeLimit = deptAgeLimit;
    }

    public String getDeptTelNum() {
        return deptTelNum;
    }

    public void setDeptTelNum(String deptTelNum) {
        this.deptTelNum = deptTelNum;
    }

    public String getDeptZipCode() {
        return deptZipCode;
    }

    public void setDeptZipCode(String deptZipCode) {
        this.deptZipCode = deptZipCode;
    }

    public String getDeDlid() {
        return deDlid;
    }

    public void setDeDlid(String deDlid) {
        this.deDlid = deDlid;
    }

    public String getDeLcid() {
        return deLcid;
    }

    public void setDeLcid(String deLcid) {
        this.deLcid = deLcid;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
